﻿/* font-Sahel */
@font-face {
    font-family: Sahel;
    src: url('fonts/sahel/sahel.eot');
    src: url('fonts/sahel.eot?#iefix') format('embedded-opentype'), url('fonts/sahel/sahel.woff') format('woff'), url('fonts/sahel/sahel.ttf') format('truetype');
    font-weight: normal;
}

@font-face {
    font-family: 'tsetmc';
    src: url('fonts/tsetmc/tsetmc.eot?lchn8y');
    src: url('fonts/tsetmc/tsetmc.eot?lchn8y#iefix') format('embedded-opentype'), url('fonts/tsetmc/tsetmc.ttf?lchn8y') format('truetype'), url('fonts/tsetmc/tsetmc.woff2?lchn8y') format('woff'), url('fonts/tsetmc/tsetmc.woff?lchn8y') format('woff'), url('fonts/tsetmc/tsetmc.svg?lchn8y#tsetmc') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: block;
}

[class^="icon-"], [class*=" icon-"] {
    font-family: 'tsetmc' !important;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.icon-tsetmc:before {
    content: "\e900";
    font-size: smaller;
}

body {
    /*padding-top: 50px;*/
    /*padding-bottom: 20px;*/
    font-size: 12px;
    font-family: Sahel, 'Roboto Slab', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';
}

.btn {
    font-size: 12px;
}

.form-control {
    font-size: 12px;
}

.dropdown-item-text {
    font-size: 12px;
    cursor: context-menu;
}

.dropdown-item {
    font-size: 12px;
}

.message-item {
    font-size: 12px;
    padding: 0.25rem 1.5rem;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

.account-table-fixed {
    overflow-y: auto;
    height: 305px;
    font-size: 12px;
}

    .account-table-fixed thead th {
        position: sticky;
        top: 0;
        background: #ffffff;
        z-index: 1;
    }

.al-account-table-fixed {
    overflow-y: auto;
    height: 500px;
}

    .al-account-table-fixed thead th {
        position: sticky;
        top: 0;
        background: #ffffff;
        z-index: 1;
    }

.algorithm-table-fixed {
    overflow-y: auto;
    height: 200px;
}

    .algorithm-table-fixed thead th {
        position: sticky;
        top: 0;
        background: #ffffff;
        z-index: 1;
    }


.watch-table-fixed {
    overflow-y: auto;
    height: 400px;
}

    .watch-table-fixed thead th {
        position: sticky;
        top: 0;
        background: #ffffff;
        z-index: 1;
    }

.signal-table-fixed {
    overflow-y: auto;
    height: 250px;
}

    .signal-table-fixed thead th {
        position: sticky;
        top: 0;
        background: #ffffff;
        z-index: 1;
    }

.search {
    height: 70px;
}

.active {
    height: 470px;
}

.account-details-table-fixed {
    overflow-y: auto;
    height: 270px;
}

    .account-details-table-fixed thead th {
        position: sticky;
        top: 0;
        background: #ffffff;
        z-index: 1;
    }

.algorithm-progress-table-fixed {
    overflow-y: auto;
    max-height: 350px;
}

    .algorithm-progress-table-fixed thead th {
        position: sticky;
        top: 0;
        background: #ffffff;
        z-index: 1;
    }

.bg-buy {
    background: #aaaaff;
}

.bg-sell {
    background: #faa0a0;
}

.bg-sum {
    background: #e4e4ff;
}

.bg-tradesum {
    background: #e0ffe1;
}

.st-buy {
    background: #aaaaff;
    width: 16.66%;
}

.st-sell {
    background: #faa0a0;
    width: 16.66%;
}

.st-alg-buy {
    background: #aaaaff;
}

.st-alg-sell {
    background: #faa0a0;
}

.st-active {
    width: 16.66%;
}

.st-watch {
    /*fixing width*/
}

.parameters {
    width: 35%;
}

.variable-input {
    direction: ltr;
    text-align: right;
}

.bwatch {
    display: none;
}

.cancel-algorithm {
    display: none;
    margin-right: 5px;
}

.edit-algorithm {
    display: none;
    margin-left: 5px;
}

.cancel-algorithm-instances-account {
    display: none;
}

.cancel-order {
    display: none;
}

.remove {
    width: 8.0%;
}

.account-status {
    width: 35%;
}

.account-status-b {
    width: 30%;
}

.progress-header {
    width: 19%;
}

.remove-header {
    width: 5%;
}

.message-menu {
    width: 30vw;
    overflow-y: auto;
    max-height: 200px;
    font-size: 12px;
}

.accounts-menu {
    width: 30vw;
    overflow-y: auto;
    max-height: 400px;
}

.btn-margin {
    margin-bottom: 5px;
}

.login {
    background-image: url('../img/bg.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    height: 800px;
}

.login-form {
    background: rgba(240, 240, 240, 0.8);
}

.disabled-input {
    border: none;
    background: transparent;
    color: #000;
}

.mh {
    padding: 0.5rem;
    font-size: 1.5em;
}

.head {
    font-size: 14px;
}

.ui-tooltip-content {
    font-family: sahel,Arial,Helvetica,sans-serif;
}

.active-border {
    border-left: solid 2px #dedede;
}

.account-detail {
    cursor: pointer;
}

.video {
    width: 100%;
    height: auto;
}

.t10 {
    width: 10%;
}

.t7 {
    width: 7%;
}

.t45 {
    width: 45%;
}

.t25 {
    background: #95e6ee;
    width: 25%;
}

.price-progress {
    height: 8px;
}

.current-watch {
    margin-top: 10px;
    margin-bottom: 10px;
}

.narrow-div div {
    margin-top: 2px;
    margin-bottom: 2px;
}

.hide {
    visibility: hidden;
}

.dropdown-item:hover .hide {
    visibility: visible;
}

.group-custom-switch .custom-control-label::before {
    background: #6c757d;
}

.group-custom-control-input:checked ~ .custom-control-label::before {
    border-color: #adb5bd;
    background-color: #6c757d;
}

.badge {
    font-size: 12px;
    font-weight: normal;
}

.badge-secondary {
    background: rgba(0,0,0,0.25);
}

.algorithm-logs {
    overflow-y: auto;
    max-height: 250px;
}

.alert-box {
    z-index: 2;
    width: 30%;
}

.main {
    z-index: 1;
}

.market-watch-row {
    cursor: context-menu;
}

.algorithm-row {
    cursor: context-menu
}

.al-group-row {
    cursor: context-menu
}

.al-accounts-row {
    cursor: context-menu
}

.group-row {
    cursor: context-menu
}

.accounts-row {
    cursor: context-menu
}

.watch-list {
    cursor: context-menu
}

th {
    cursor: context-menu
}

.card-header {
    cursor: context-menu
}

.otp {
    cursor: context-menu
}

.end {
    margin-top: -4px;
}

.start {
    margin-top: -4px;
}

.date-picker-r {
    padding-right: 15px;
    padding-left: 5px;
}

.date-picker-c {
    padding-right: 10px;
    padding-left: 10px;
}

.date-picker-l {
    padding-right: 5px;
    padding-left: 15px;
}

.date-picker-down {
    margin-top: -5px;
    font-size: 16px;
}

.date-picker-up {
    margin-bottom: -5px;
    font-size: 16px;
}

.pr {
    padding-right: 30px;
}

.algorithm-user-account {
    cursor: context-menu;
}

.order-state {
    cursor: context-menu;
}

.popover-header {
    font-size: 12px;
    font-family: Sahel, 'Roboto Slab', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';
}

.popover-body {
    font-size: 12px;
    font-family: Sahel, 'Roboto Slab', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';
}

.tooltip-inner {
    font-size: 12px;
    font-family: Sahel, 'Roboto Slab', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';
}

.tsetmc {
    font-size: 13px;
}

.signal-instrument {
    cursor: context-menu;
}

.signal-title {
    cursor: pointer
}

.tbody-striped tr:nth-of-type(odd) {
    background-color: rgba(0, 0, 0, 0.05);
}

@media print {
    .pagebreak {
        page-break-before: always;
    }

    .no-print {
        display: none;
    }
}

.account-modal-title {
    font-size: 14px;
    background-color: #e9ecef5e;
    text-align: right;
    border-left-width: 0px;
}

.account-modal-dropdown-button {
    font-size: 14px;
    background-color: #e9ecef5e;
    text-align: right;
    border-width: 1px;
    border-color: #ced4da;
}

.account-modal-dropdown {
    max-height: 400px;
    direction: ltr;
    overflow-y: scroll;
    width: 280px;
}

table.market-watch-table th {
    vertical-align: middle;
    text-align: center;
}

td.market-watch-table-symbol {
    font-weight: bold;
    cursor: context-menu;
}

div.market-watch-div {
    display: inline-block;
    height: 81vh;
    width: 75%;
    overflow-y: auto;
    overflow-x: auto;
    margin-right: auto;
}

td.market-watch-td-positive {
    color: #00bd00;
}

td.market-watch-td-negative {
    color: #c9240a;
}

td.market-watch-td-demand {
    background-color: #CCE5FF;
}

td.market-watch-td-supply {
    background-color: #ffd4d4;
}

tr.market-watch-tr-hidden{
    display: none;
}

tr.market-watch-tr-hidden-by-search {
    display: none;
}

div.market-watch-secondary-div {
    display: inline-block;
    height: 80vh;
    width: 24%;
    margin-right: auto;
    margin-left: auto;
}

div.market-watch-settings {
    display: inline-block;
    height: 27vh;
    width: 100%;
    margin-right: auto;
    margin-left: auto;
    overflow: auto;
}

div.market-watch-settings-switch{
    text-align: left;
}

div.market-watch-active-div {
    display: inline-block;
    height: 53vh;
    width: 100%;
    margin-right: auto;
    margin-left: auto;
    overflow: auto;
}

div.market-watch-active-price-bar {
    display: block;
    width: 96%;
    margin-right: auto;
    margin-left: auto;
}

div.modal-algorithm {
    max-width: 49%;
    margin-right: 1%
}

div.modal-algorithm-edit {
    max-width: 25%;
}

.modal-backdrop.show {
    opacity: 0.25;
}

.marketDepthModal{
    max-height: 10%;
}

.market-depth-table {
    overflow-y: auto;
    height: 500px;
    padding: 0px;
}

    .market-depth-table thead th {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .market-depth-table tbody tr td {
        font-weight: bold;
    }
